package com.crm.globex.service;

import com.crm.rely.backend.core.entity.manager.callback.AccountCallbackEntity;
import com.crm.rely.backend.core.entity.manager.callback.FinanceCallbackEntity;
import com.crm.rely.backend.core.exception.ServiceException;

public interface AccountApplyAssetManagementService {
    void scheduleUpdateAccountOperationType() throws ServiceException;

    void scheduleAutomaticAccount() throws ServiceException;

    void callbackAutomaticAccount(AccountCallbackEntity callbackEntity) throws ServiceException;

    void scheduleAutomaticAccountBalance() throws ServiceException;

    void callbackAutomaticAccountBalance(FinanceCallbackEntity callbackEntity) throws ServiceException;
}
